import Api from "~/service/Api"
import Pts from "../Common/Pts"

export default class Infbdd{
    constructor () {
        this.data = {
						infcon:{
							seaownref:"",			//  Own Reference		.infcon.seaownref
							nam:"",			//  Name		.infcon.nam
							searef:"",			//  Party Reference		.infcon.searef
							pty:{
								extkey:"",			//  Select Single Party		.infcon.pty.extkey
								nam:"",			//  External Visible Name		.infcon.pty.nam
							},
							seapty:"",			//  Party Name/BIC		.infcon.seapty
							searol:"",			//  Role		.infcon.searol
							opndatfrom:"",			//  Opening between		.infcon.opndatfrom
							opndatto:"",			//  Open Date to		.infcon.opndatto
							usr:{
								extkey:"",			//  User ID		.infcon.usr.extkey
							},
							seasta:"",			//  Status		.infcon.seasta
							seacur:"",			//  Currency		.infcon.seacur
							seaamtfr:"",			//  Amount between		.infcon.seaamtfr
							seaamtto:"",			//  Amount to		.infcon.seaamtto
							relflg:"",			//  Release Status		.infcon.relflg
							cxmflg:"",			//  是否显示查询码		.infcon.cxmflg
							hndtyp:"",			//  Handling Type		.infcon.hndtyp
							chksubcon:"",			//  incl. all subcontracts		.infcon.chksubcon
							chktrnsta:"",			//  only active transactions		.infcon.chktrnsta
							trnstm:"",			//  stream for TRN to selected contract		.infcon.trnstm
							cbctxt:"",			//  CBS Column		.infcon.cbctxt
							cbbstm:"",			//  stream of CBBs		.infcon.cbbstm
							cbestm:"",			//  stream of CBEs		.infcon.cbestm
							feptxtlbl:"",			//  label used on FEP-Panel		.infcon.feptxtlbl
							fcptxtlbl:"",			//  Text label used on FCP-panel		.infcon.fcptxtlbl
							fepfeecod:"",			//  Fee Code		.infcon.fepfeecod
							fepdsp:"",			//  Disposition		.infcon.fepdsp
							fepstm:"",			//  stream for FEPs to selected contract		.infcon.fepstm
							fcpstm:"",			//  stream of foreign charges		.infcon.fcpstm
							fcpdsp:"",			//  Disposition		.infcon.fcpdsp
							setflg:"",			//  show temporary settlement that already settled		.infcon.setflg
							sepdelflg:"",			//  show temporary settlement that already deleted		.infcon.sepdelflg
							sepstm:"",			//  stream of SEPs		.infcon.sepstm
							seabucdatfro:"",			//  Booking date from		.infcon.seabucdatfro
							seabucdatto:"",			//  Booking date till used on GLEINFP		.infcon.seabucdatto
							seatrninr:"",			//  Transaction INR		.infcon.seatrninr
							glestm:"",			//  Stream of GLEs		.infcon.glestm
							smhcortyp:"",			//  Type of Document		.infcon.smhcortyp
							smhdatfrom:"",			//  Created between 		.infcon.smhdatfrom
							smhdatto:"",			//  created till		.infcon.smhdatto
							smhdir:"",			//  Direction		.infcon.smhdir
							chktrn:"",			//  Active only		.infcon.chktrn
							smhstm:"",			//  stream of documents to selected contract		.infcon.smhstm
							sptinc:"",			//  Incoming		.infcon.sptinc
							sptreg:"",			//  Registered		.infcon.sptreg
							sptpen:"",			//  Pending		.infcon.sptpen
							sptcor:"",			//  Correction		.infcon.sptcor
							sptdel:"",			//  Deleted		.infcon.sptdel
							sptstm:"",			//  stream for SPT to selected contract		.infcon.sptstm
							diadatfrom:"",			//  Date from		.infcon.diadatfrom
							diadatto:"",			//  date till		.infcon.diadatto
							diasta:"",			//  Status		.infcon.diasta
							diastm:"",			//  stream for diaries to selected contract		.infcon.diastm
							liastm:"",			//  Stream for all engagements to selected contract		.infcon.liastm
							ordstm:"",			//  Stream for Orders for Contract		.infcon.ordstm
						},
						seadocflg:"",			//  Document Type		.seadocflg
						infbut:{
							dspstm:"",			//  display stream		.infbut.dspstm
						},
						jyqflg:"",			//  假远期信用证		.jyqflg
						elcflg:"",			//  是否通过电证系统		.elcflg
						bddgrp:{
							rec:{
								ownref:"",			//  单据参考号		.bddgrp.rec.ownref
								nam:"",			//  Name of Bill Contract		.bddgrp.rec.nam
								rcvdat:"",			//  到单日期		.bddgrp.rec.rcvdat
								docflg:"",			//  单据类型		.bddgrp.rec.docflg
								docsta:"",			//  单据状态		.bddgrp.rec.docsta
								matdat:"",			//  Maturity Date		.bddgrp.rec.matdat
								tenmaxday:"",			//  单据到期日		.bddgrp.rec.tenmaxday
								stadat:"",			//  Start Date		.bddgrp.rec.stadat
								igndisflg:"",			//  Ignore Discrepancies		.bddgrp.rec.igndisflg
								advtyp:"",			//  Type of Advice Received		.bddgrp.rec.advtyp
								totdat:"",			//  付款日期		.bddgrp.rec.totdat
								disdat:"",			//  不符点通知日期		.bddgrp.rec.disdat
								approvcod:"",			//  Documents on Approval Basis		.bddgrp.rec.approvcod
							},
							cbs:{
								max:{
									cur:"",			//  单据金额		.bddgrp.cbs.max.cur
									amt:"",			//  单据金额		.bddgrp.cbs.max.amt
								},
								opn1:{
									cur:"",			//  单据余额		.bddgrp.cbs.opn1.cur
									amt:"",			//  Balance		.bddgrp.cbs.opn1.amt
								},
							},
							apl:{
								pts:new Pts().data,
							},
							ben:{
								pts:new Pts().data,
							},
							prb:{
								pts:new Pts().data,
							},
							blk:{
								comcon:"",			//  Comments and Conclusions		.bddgrp.blk.comcon
								docdis:"",			//  Discrepancies		.bddgrp.blk.docdis
								docdisflg:"",			//  discrepancies modified		.bddgrp.blk.docdisflg
								accrmk:"",			//  到期付款确认备注		.bddgrp.blk.accrmk
							},
						},
						didgrp:{
							rec:{
								ownref:"",			//  信用证参考号		.didgrp.rec.ownref
								expdat:"",			//  Date of Expiry		.didgrp.rec.expdat
							},
							cbs:{
								opn1:{
									cur:"",			//  Currency		.didgrp.cbs.opn1.cur
									amt:"",			//  Balance		.didgrp.cbs.opn1.amt
								},
							},
						},
						recpan:{
							didget:{
								sdamod:{
									seainf:"",			//  		.recpan.didget.sdamod.seainf
									dadsnd:"",			//  Drag  Drop Sender		.recpan.didget.sdamod.dadsnd
								},
							},
							recget:{
								sdamod:{
									dadsnd:"",			//  Drag  Drop Sender		.recpan.recget.sdamod.dadsnd
									seainf:"",			//  		.recpan.recget.sdamod.seainf
								},
							},
							matp:{
								mattxtlab:"",			//  Label for MATTXT		.recpan.matp.mattxtlab
							},
							docgrdm:{
								docdsclab:"",			//  Label of document description		.recpan.docgrdm.docdsclab
							},
							cre752flg:"",			//  Create 752		.recpan.cre752flg
							furide:"",			//  Further Identification		.recpan.furide
							cre732flg:"",			//  Create MT 732		.recpan.cre732flg
						},
						mtabut:{
							coninf:{
								oitinf:{
									labinftxt:"",			//  Label for INFTXT		.mtabut.coninf.oitinf.labinftxt
									oit:{
										inftxt:"",			//  Infotext		.mtabut.coninf.oitinf.oit.inftxt
										inflev:"",			//  Infotext Level		.mtabut.coninf.oitinf.oit.inflev
									},
								},
								oitset:{
									labinftxt:"",			//  Label for INFTXT		.mtabut.coninf.oitset.labinftxt
									oit:{
										inftxt:"",			//  Infotext		.mtabut.coninf.oitset.oit.inftxt
										inflev:"",			//  Infotext Level		.mtabut.coninf.oitset.oit.inflev
									},
								},
								conexedat:"",			//  执行日期		.mtabut.coninf.conexedat
								usr:{
									extkey:"",			//  User ID		.mtabut.coninf.usr.extkey
								},
							},
						},
						prtpanblk:"",			//  XMLPanel prtpan的内置block		.prtpanblk
						pageId: ""			// ctx的key
				}
    }
}